require('my/plugins')

-- embed nvim in browsers
packer.use {
    'https://github.com/glacambre/firenvim',
    run = function()
        vim.fn['firenvim#install'](0)
    end,
    config = function()
        vim.g.firenvim_config = {
            localSettings = {
                [".*"] = {
                    priority = 0,
                    takeover = 'never',
                },
                ['/(issues|pull|merge_requests)/'] = {
                    priority = 1,
                    takeover = 'once'
                },
                ['https://bugs\\.gentoo\\.org/'] = {
                    priority = 1,
                    takeover = 'once'
                }
            }
        }

        if vim.g.started_by_firenvim then
            vim.o.wrap = true
            vim.o.guifont = 'Source_Code_Pro:h10'
        end

        vim.api.nvim_create_augroup('firenvim', { clear = true })
        vim.api.nvim_create_autocmd(
            { 'BufWinEnter' },
            {
                group = 'firenvim',
                pattern = {
                    '*/firenvim/*.txt',
                    '*/firenvim/*.md',
                },
                callback = function()
                    vim.o.textwidth = 0
                    -- FIXME: my_set_colorcolumn() should set that automatically
                    vim.o.colorcolumn = 0
                    vim.cmd([[startinsert]])
                end
            }
        )
        vim.api.nvim_create_autocmd(
            { 'BufEnter' },
            {
                group = 'firenvim',
                pattern = {
                    'schlomp.space_*',
                    'codeberg.org_*',
                    'gitlab.com_*',
                    'github.com_*',
                    'very.tastytea.de_*',
                    'bookwyrm.social_*',
                    'openlibrary.org_*',
                    'bugs.gentoo.org_*',
                },
                command = [[set filetype=markdown | set tw=0]]
            }
        )
    end
}
