vim.o.number = true                         -- line numbers
vim.o.list = true                           -- show whitespace
vim.o.listchars = 'tab:▸ ,trail:·,nbsp:+'
vim.o.textwidth = 80                        -- default text width
vim.o.colorcolumn = tostring(vim.o.textwidth)
vim.o.wrap = false                          -- don't wrap long lines
vim.o.linebreak = true                      -- break on word boundaries

vim.o.cursorline = true                     -- highlight row with cursor
vim.o.scrolloff = 5                         -- show 5 lines below/above cursor
vim.o.sidescrolloff = 5                     -- same fore left/right
vim.o.expandtab = true                      -- indent using spaces
vim.o.tabstop = 4                           -- 1 tab = 4 spaces
vim.o.shiftwidth = 4                        -- 1 indentation = 4 spaces
vim.o.completeopt = 'menu,menuone,noselect' -- completion popup
vim.o.autochdir = true                      -- change workir to current file dir
vim.o.updatetime = 500                      -- fire CursorHold autocommand event
vim.o.cmdheight = 2                         -- message area size
-- vim.o.mouse = 'nv'                          -- make use of mouse in these modes
vim.o.pumheight = 10                        -- maximum entries in popup menu
vim.o.smartindent = true                    -- indent after { and so on


-- theme
vim.o.termguicolors = true                  -- 24 bit colours
vim.o.background = 'dark'
packer.use {
    'https://github.com/owozsh/amora',
    config = function()
        vim.cmd('colorscheme amora')
    end
}

packer.use 'https://github.com/editorconfig/editorconfig-vim'
